#include<bits/stdc++.h>
using namespace std;
int n;
float r,r1;
struct slog{
float pare,posto;
};
bool cmp(slog a,slog b){
if(a.posto>b.posto)return true;
else return false;
};
slog a[200005];
int main(){
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a[i].pare>>a[i].posto;
    }
    sort(a+1,a+n+1,cps);
    for(int i=1;i<=n;i++){
        for(int j=1;j<=i;j++){
            r1+=a[j].cena*a[i].posto/100;
        }
        r=max(r,r1);
    }
    return 0;
}